package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Trt;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TrtMapper {

    int insert(Trt record);

    int insertSelective(Trt record);

    int updateByPrimaryKeySelective(Trt record);

    int updateByPrimaryKey(Trt record);

    int deleteByPrimaryKey(Trt record);

    int deleteByIds(Collection<Object> collection);

    Trt selectByPrimaryKey(Trt record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Trt> dyncRead(Map<String,Object> dyncMap);

    Trt getTrtByInr(String inr);
}
